Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface LinkConstraints

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

    public interface LinkConstraints

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Link Constraints'.

See Also:
  `GMFGenPackage.getLinkConstraints()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getLinkCreationConstraintsClassName()` Gets the name of the constraints holder class
`java.lang.String` `getLinkCreationConstraintsQualifiedClassName()` Gets the qualified name of the constraints holder class
`boolean` `hasLinkCreationConstraints()` Indicates whether this diagram contains link creation constraints or not

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### hasLinkCreationConstraints

    boolean hasLinkCreationConstraints()

  Indicates whether this diagram contains link creation constraints or not

  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2006/deprecated documentation='LinkCreationConstants should be generated if diagram has any links'"

### getLinkCreationConstraintsClassName

    java.lang.String getLinkCreationConstraintsClassName()

  Gets the name of the constraints holder class

  ** Generated **
  Model:
    kind="operation" required="true"

### getLinkCreationConstraintsQualifiedClassName

    java.lang.String getLinkCreationConstraintsQualifiedClassName()

  Gets the qualified name of the constraints holder class

  ** Generated **
  Model:
    kind="operation" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.